// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
// 
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
// 
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file 
// COPYRIGHT, located in the top directory of this software.
//
//
// ************************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/ORG/opengroup/adl/parsers/adlc/AdditiveNodeException.java,v $
// $Revision: 1.1 $
// $Date: 1998/03/26 14:34:05 $
// PRODUCT:     Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:   parsers.adlc
// NAME:        AdditiveNodeException.java
//
// HISTORY:
//      Rob Duncan, Sun Microsystems Inc. - Feb 22, 1997: Created
//      Rami KHEMAKHEM, TOG RI - March, 1998: Modified
//
// ************************************************************************

package ORG.opengroup.adl.parsers.adlc;

public class AdditiveNodeException extends NodeException {
  private SimpleNode node;
  private Object key;

  public AdditiveNodeException(SimpleNode n, Object k) {
    node = n;
    key = k;
  }

  public String getMessage() {
    return "Attempt to set property " + key + " while " + node + " is additive.";
  }
}


