// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
// 
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
// 
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file 
// COPYRIGHT, located in the top directory of this software.
//
//
// ***********************************************************************
//
// PRODUCT:     Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:   adlcppparser
// NAME:        ASTFunctionDefinition.java
//
// HISTORY:
//      Wassel BERRAYANA, TOG -November,1997: Created
//
// COMMENTS:   This file defines a class ScopedName { _name, _scope).
// This is because QualifiedId in C++ may be defined within an override scope,
// hence getFctName should return a ScopedName instead of the name only. 
// Example : int A::foo(int t);
//     
//
// ***********************************************************************

package ORG.opengroup.adl.parsers.adlcpp;

import ORG.opengroup.adl.symboltable.Scope;

public class ScopedName {
   public String Name;
   public Scope  Scope;

// Constructors :
   public ScopedName(String name,Scope scope) {
	Name= name;
	Scope= scope;
   }
}


