// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
// 
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
// 
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file 
// COPYRIGHT, located in the top directory of this software.
//
//
// ***********************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/ORG/opengroup/adl/symboltable/c/CEnumTypedef.java,v $
// $Revision: 1.2 $
// $Date: 1998/02/27 12:42:11 $
// PRODUCT:     Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:   symboltable
// NAME:        CEnumTypedef.java
//
// HISTORY:
//      Cyril Inard d'Argence, TOG - Oct 09,  1997: Created
//      See Log at end of file
//
// ***********************************************************************

package ORG.opengroup.adl.symboltable.c;

import ORG.opengroup.adl.symboltable.*;

/**
 * Typedef for enum symbol.
 */

public class CEnumTypedef extends    LConstructedTypedef
                          implements CEnum 
{
  
  /**
   * Constructs a typedef over the supplied type.
   * @param name name of the typedef.
   * @param type type for which the typedef is defined.
   */

  protected CEnumTypedef(String name,CEnum type)
  {
     super(name,type);
  }

}

// ***********************************************************************
// History Log:
// $Log: CEnumTypedef.java,v $
// Revision 1.2  1998/02/27 12:42:11  cinard
// Updated copyright notice.
//
// Revision 1.1  1998/02/23 14:49:48  cinard
// Added support for typedefs.
//
// ***********************************************************************
