// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
// 
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
// 
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file 
// COPYRIGHT, located in the top directory of this software.
//
//
// ***********************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/ORG/opengroup/adl/symboltable/j/JSymbolError.java,v $
// $Revision: 1.1 $
// $Date: 1998/06/15 11:52:56 $
// PRODUCT:     Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:   symboltable.j
// NAME:        JSymbolError.java
//
// HISTORY:
//      Cyril Inard d'Argence, TOG - Jun 11,  1998: Created
//      See Log at end of file
//
// ***********************************************************************

package ORG.opengroup.adl.symboltable.j;

/**
 * Exception thrown when an unrecoverable error occur when handling java
 * symbols.
 */

public class  JSymbolError extends Error
{
    public JSymbolError(String s)
    {
       super(s);
    }
}

// ***********************************************************************
// History Log:
// $Log: JSymbolError.java,v $
// Revision 1.1  1998/06/15 11:52:56  cinard
// Fixed bug : symbol loader now throws a JSymbolError in case a java
// class file cannot be found.
//
// ***********************************************************************
