// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
// 
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
// 
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file 
// COPYRIGHT, located in the top directory of this software.
//
//
// ***********************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/ORG/opengroup/adl/nlengine/NLException.java,v $
// $Revision: 1.1 $
// $Date: 1998/04/15 12:48:15 $
// PRODUCT:     Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:   nlengine
// NAME:        NLException.java
//
// HISTORY:
//      Cyrille Bareau, The Open Group RI - Apr 7,  1998: Created
//      See Log at end of file
//
// ***********************************************************************


package ORG.opengroup.adl.nlengine;

/**
 *  Exception that should be thrown when any problem occurs during NL processing.
 */

public class NLException extends Exception
{
   /**
    * Constructs the exception. 
    */
   public NLException() 
   {
      super();
   }

   /**
    * Constructs the exception. 
    * @param s the detailed message.
    */
   public NLException(String s) 
   {
      super(s);
   }
}

// ***********************************************************************
// History Log:
// $Log: NLException.java,v $
// Revision 1.1  1998/04/15 12:48:15  bareau
// NL_Engine: intermediate class between Java and the Prolog engine.
//
//
// ***********************************************************************
