// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
// 
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
// 
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file 
// COPYRIGHT, located in the top directory of this software.
//
//
// ************************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/ORG/opengroup/adl/parsers/adljava/BadTypeException.java,v $
// $Revision: 1.3 $
// $Date: 1998/02/27 12:53:52 $
// PRODUCT:     Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:   AST
// NAME:        BadTypeException.java
//
// HISTORY:
//     Cyril Inard d'Argence, The Open Group - Dec 10, 1997: Created
//
// ************************************************************************

package ORG.opengroup.adl.parsers.adljava;

public class BadTypeException extends Exception
{
    BadTypeException(SimpleNode errorNode, String message)
    {
       super(message);
       this.errorNode = errorNode;
    }

    public SimpleNode getErrorNode()
    {
       return errorNode;
    }

    private SimpleNode errorNode;
}

// ************************************************************************
// $Log: BadTypeException.java,v $
// Revision 1.3  1998/02/27 12:53:52  cinard
// Updated copyright notice.
//
// Revision 1.2  1998/02/12 16:02:58  mallet
// Fixed copyright notice: TOG RI -> TOG, year extended to 1998 for TOG
// and IPA.
//
// Revision 1.1  1998/01/05 16:05:29  mallet
// Exception used for type check: raised when a type check problem occurs.
//
// ************************************************************************
