//
// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
//
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
//
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file 
// COPYRIGHT, located in the top directory of this software.
//
// ***********************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/ORG/opengroup/adl/runtime/ADLEndCaseException.java,v $
// $Revision: 1.4 $
// $Date: 1998/08/06 14:09:37 $
// PRODUCT:     Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:   ADL Java Runtime Environment
// NAME:        ADLEndCaseExcepion.java
//
// HISTORY:
//      Lionel Mallet, The Open Group RI - Jan 21, 1998: Created
//      See Log at end of file
//
// ***********************************************************************

package ORG.opengroup.adl.runtime;

/**
 * The ADLEndCaseException class is an exception raised when the user
 * wants to end the current test case execution.
 */
public class ADLEndCaseException extends ADLRuntimeException {
  ADLEndCaseException(String s) {
    super("Ending test case: " + s);
  }
}

// ***********************************************************************
// History Log:
// $Log: ADLEndCaseException.java,v $
// Revision 1.4  1998/08/06 14:09:37  mallet
// Moved Java runtime source tree in /afs/gr/users/mallet/Adl/adl2/src/ORG/opengroup/adl/runtime.
//
// Revision 1.3  1998/02/27 10:08:30  mallet
// Updated copyright notice.
//
// Revision 1.2  1998/02/12 16:04:33  mallet
// Fixed copyright notice: TOG RI -> TOG, year extended to 1998 for TOG
// and IPA.
//
// Revision 1.1  1998/01/21 17:03:42  mallet
// Moved classes out of ADLRuntimeException.java.
//
// Revision 1.1  1998/01/21 16:52:57  mallet
// Exceptions generated by ADL during tests execution to request an "end
// test case" or "end test".
//
// ***********************************************************************
