// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
// 
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
// 
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file 
// COPYRIGHT, located in the top directory of this software.
//
//
// ***********************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/ORG/opengroup/adl/symboltable/c/CFunctionType.java,v $
// $Revision: 1.6 $
// $Date: 1998/04/28 12:23:58 $
// PRODUCT:     Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:   symboltable.c
// NAME:        CFunctionType.java
//
// HISTORY:
//      Wassel BERRAYANA, TOG - January,  1998: Created
//
// ***********************************************************************

package ORG.opengroup.adl.symboltable.c;

import ORG.opengroup.adl.symboltable.*;

/**
 *  Symbol function returning Type.
 */

public interface CFunctionType extends LType
{

  /**
   * Returns the return type of function type.
   */

  public LType getFunctionTypeReturnType();

  /**
   * Set the return type of the function.
   */

  public void setFunctionTypeReturnType(LType type);

  /**
   * Returns function type parent class.
   */

  public LConstructedType getEnclosingClass();

  /**
   * Returns the function type comparator.
   */

   public LCallableEqualsComparator getFunctionTypeComparator();

}

