// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
// 
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
// 
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file 
// COPYRIGHT, located in the top directory of this software.
//
//
// ***********************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/ORG/opengroup/adl/symboltable/j/JTypeKind.java,v $
// $Revision: 1.2 $
// $Date: 1998/02/27 12:38:45 $
// PRODUCT:     Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:   symboltable.j
// NAME:        JTypeKind.java
//
// HISTORY:
//      Cyril Inard d'Argence, TOG - Dec. 04,  1997: Created
//      See Log at end of file
//
// ***********************************************************************


package ORG.opengroup.adl.symboltable.j;

/**
 *  Constants for type kinds.
 */

public interface JTypeKind
{

  /** Reference kind (classes, arrays...). */
  public final static Integer REFERENCE_TYPE  = new Integer(0);

  /** Boolean kind (boolean). */
  public final static Integer BOOLEAN_TYPE    = new Integer(1);

  /** Arithmetic kind (int, long...). */
  public final static Integer ARITHMETIC_TYPE = new Integer(2);

  /** Void kind (void). */
  public final static Integer VOID_TYPE       = new Integer(3);

}

// ***********************************************************************
// History Log:
// $Log: JTypeKind.java,v $
// Revision 1.2  1998/02/27 12:38:45  cinard
// Updated copyright notice.
//
// Revision 1.1  1998/02/23 17:50:26  cinard
// Classe implementing Java versions of the symbol interfaces.
//
// ***********************************************************************
