// Copyright (c) 1996-1998 Information-technology Promotion Agency, Japan
// Copyright (c) 1996-1998 Mitsubishi Research Institute, Inc.
// Copyright (c) 1996-1998 The Open Group
// 
// All rights reserved.
// This technology is a result of the Advanced Software  Enrichment 
// Project of Information-technology Promotion Agency, Japan (IPA).
// 
// Permissions  to  use,  copy, modify and distribute this software
// are governed by the terms and conditions set forth in  the  file 
// COPYRIGHT, located in the top directory of this software.
// 
// ************************************************************************
//
// $Source: /vobstore/cvsstore/adl/adl2/src/examples/java/bank_example/myBankAccount.java,v $
// $Revision: 1.2 $
// $Date: 1998/02/27 10:49:30 $
// PRODUCT:	Assertion Definition Language Translation System
//              (ADLTS) Version 2.0
// COMPONENT:	bank example (Java)
// NAME:	myBankAccount.java
// 	
// HISTORY:
// 	Cyrille Bareau, The Open Group RI - Jan, 1998: Created
//
// ************************************************************************

package bank_example;

public class myBankAccount extends bankAccount {

  private String myName;
  private long overdraft;

  public myBankAccount(long acct, long bal, long over)
    {
      super(acct, bal);
      overdraft = over;
    }

  public myBankAccount(long acct, long over)
    {
      super(acct);
      overdraft = over;
    }

  public long withdraw(long amt)
   throws
    negativeAmountExc,
    insufficientFundsExc

    {
      if (amt < 0) {
	throw (new negativeAmountExc());
      }
      if (balance - amt < overdraft) {
	throw (new insufficientFundsExc());
      }
      balance -= amt;
      return balance;
    }

  public long authorizedOverdraft()
    {
      return overdraft;
    }
}
